Subject: Re: bug#61942: 28.2; uninterruptible hang in vc-diff buffer

From: Sean Whitton <[email-masked]>
Date: Fri, 14 Mar 2025 11:48:58 +0800

Hello,

On Fri 14 Mar 2025 at 02:24am +02, Dmitry Gutov wrote:

> On 11/03/2025 13:29, Sean Whitton wrote:
>> Hello Dmitry, Tom,
>> Do we have a reproducer for this?  Otherwise, I'd like to suggest
>> closing the report for now.
>
> The reproducer for the scenario I have in mind is opening a diff, for the
> first time in a session, that references one of the larger .c files.
>
> For example, from the current Emacs master, launch 'C-x v L' (root log), and
> from there move to
>
>   * ab5bfcebddf..: Po Lu 2025-03-10 Fix bug#76805
>
> and press 'd'. The first time I do it, in a session, takes about 600ms.
>
> Quitting or killing the diff buffer and repeating the action makes it instant
> because the file buffer stays in diff--cached-revision-buffers, for some time.

Thank you both for your replies.

Dmitry, regarding your reproducer, on my laptop (bought late 2020)
I can't discern a difference before or after the caching.

Tom, it would be great if you could try Dmitry's suggestion and see if
it makes a difference.

-- 
Sean Whitton